Download it now!
Bug 129788 - Preview image for encrypted files garbled
Summary: Preview image for encrypted files garbled
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.1 rc
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.1 target:6.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-01-04 16:09 UTC by Thorsten Wagner
Modified: 2020-02-20 21:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (213.36 KB, image/png)
2020-01-04 16:09 UTC, Thorsten Wagner
Details
Screenshot from an earlier LO release (206.20 KB, image/png)
2020-01-11 11:35 UTC, Thorsten Wagner
Details
Screenshot using Linux/GTK (96.36 KB, image/png)
2020-02-20 21:30 UTC, Thorsten Wagner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Wagner 2020-01-04 16:09:30 UTC
Description:
When displaying preview images within Startcenter, previews for encrypted files are garbled (see screenshot attached). Issue is independent of application (Writer, Calc etc.) and exists on Linux and macOS at least.

Steps to Reproduce:
1. Open any LibreOffice application (e.g. Writer)
2. Save a document encrypted with password
3. Open Startcenter and select "Recent Files"

Actual Results:
Previews of encrypted documents are garbled.

Expected Results:
Previews of encrypted documents appear without garbage.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Issue exists with and without Open GL enabled.
Comment 1 Thorsten Wagner 2020-01-04 16:09:54 UTC
Created attachment 156928 [details]
Screenshot
Comment 2 Xisco Faulí 2020-01-10 11:21:46 UTC
I can't reproduce it in

Version: 6.5.0.0.alpha0+
Build ID: 838935758a5ec8e0e68f4df0cf5bfcf737e3f6f2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

nor in

Version: 6.5.0.0.alpha0+
Build ID: 838935758a5ec8e0e68f4df0cf5bfcf737e3f6f2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Could you please paste the info from Help - about LibreOffice ?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' once the information has been provided
Comment 3 Thorsten Wagner 2020-01-11 00:17:50 UTC
Infos from Help / About are as follows:

(1) Linux

Version: 6.5.0.0.alpha0+
Build ID: fc93925a935960c750f400b9b3c79a592baaf5fe
CPU threads: 6; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

(2) macOS

Version: 6.5.0.0.alpha0+
Build ID: fc93925a935960c750f400b9b3c79a592baaf5fe
CPU threads: 12; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: de-DE (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Issue still exists with current master.
Comment 4 Timur 2020-01-11 10:14:38 UTC Comment hidden (obsolete)
Comment 5 Thorsten Wagner 2020-01-11 11:35:26 UTC
Created attachment 157076 [details]
Screenshot from an earlier LO release
Comment 6 Thorsten Wagner 2020-01-11 11:38:15 UTC
#tdf80755 deals with cached preview images of password protected files. This is not the issue here.

Screenshot attached shows pixelated image fragments behind the icon. Please find another screenshot of an earlier LO release attached. Behaviour was as expected there: no preview, no pixelated image fragments behind the icon.
Comment 7 Timur 2020-01-11 13:10:56 UTC
OK. I see now. Regression.
Comment 8 Telesto 2020-01-12 10:34:35 UTC
Bisected to:
author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-07-08 14:50:12 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-07-08 21:29:01 +0200
commit	31bd8c4a4a4752dcff12ee35636193f79a6d6137 (patch)
tree	7c8e8305622db175afc115dffae92d9df1192f28
parent	9e8c6c81f2f5d3df850353ee92a5b6e52546d6c6 (diff)
no need to use AlphaMask in RecentDocsViewItem
since it's purely opaque

https://cgit.freedesktop.org/libreoffice/core/commit/?id=31bd8c4a4a4752dcff12ee35636193f79a6d6137
Comment 9 Telesto 2020-01-12 10:35:55 UTC
Adding CC to: Noel Grandin
Comment 10 Xisco Faulí 2020-01-13 09:47:54 UTC
This is similar to bug 129143

@Noel, should we just revert commit 31bd8c4a4a4752dcff12ee35636193f79a6d6137 as we did for bug 129143 ??
Comment 11 Commit Notification 2020-01-17 18:38:20 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/be638ffb1ed82530162d18784e31c3506575ad7b

tdf#129788: Revert "no need to use AlphaMask in RecentDocsViewItem"

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-01-17 19:51:27 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d720e120b6534ff2fdf6cb11f0b46eca454d4e34

tdf#129788: Revert "no need to use AlphaMask in RecentDocsViewItem"

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2020-01-21 22:21:55 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-0":

https://git.libreoffice.org/core/commit/0768fa976bd44f6a9c96720dcc1a0272c0364e8b

tdf#129788: Revert "no need to use AlphaMask in RecentDocsViewItem"

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Thorsten Wagner 2020-02-20 21:30:08 UTC
Issue is fixed on macOS but a similar issue is visble on Linux now (see latest screenshot attached). Screenshot was taken from current revision from master:

Version: 7.0.0.0.alpha0+
Build ID: 796aeeb0f4c26824f3477b45e0d3bae9cf2c4648
CPU threads: 6; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 15 Thorsten Wagner 2020-02-20 21:30:59 UTC
Created attachment 158063 [details]
Screenshot using Linux/GTK